import { Column, Entity } from 'typeorm';
import { BaseModel } from '../frame/BaseModel';

@Entity('degree', { comment: '满意度调查设置' })
export class Degree extends BaseModel {
  @Column({ comment: '标题' })
  title: string;
  @Column({ comment: '描述' })
  brief: string;
  @Column({ type: 'json', nullable: true, comment: '问题' })
  problem: any;
  @Column({ comment: '是否启用: 0-启用;1-禁用', default: '0' })
  is_use: string;
}
