import { Column, Entity } from 'typeorm';
import { BaseModel } from '../frame/BaseModel';

@Entity('result', { comment: '满意度调查结果' })
export class Result extends BaseModel {
  @Column({ comment: '用户id', nullable: true })
  user_id: string;
  @Column({ comment: '客户名称', nullable: true })
  name: string;
  @Column({ type: 'json', nullable: true, comment: '答案' })
  problem: any;
}
