import { BaseModel } from '../../frame/BaseModel';
import { Column, Entity } from 'typeorm';
@Entity('user', { comment: '用户表' })
export class User extends BaseModel {
  @Column({ type: 'varchar', nullable: true, comment: '用户昵称' })
  nick_name: string;
  @Column({ type: 'varchar', comment: '账号', unique: true })
  account: string;
  @Column({ type: 'varchar', select: false, comment: '密码' })
  password: string;
  @Column({ type: 'varchar', comment: '电话' })
  tel: string;
  @Column({ type: 'json', nullable: true, comment: '角色id数组' })
  role: any;
  @Column({ type: 'varchar', default: '0', comment: '是否使用: 0:使用;1:禁用' })
  is_use: string;
}
