import { ConfigService } from '../../service/system/config.service';
export declare class ConfigController {
    service: ConfigService;
    create(): Promise<void>;
    query(): Promise<{
        errcode: string;
        errmsg: string;
        data: any;
    }>;
    fetch(id: number): Promise<void>;
    update(id: number, body: any): Promise<{
        errcode: string;
        errmsg: string;
        data: any;
    }>;
    delete(id: number): Promise<void>;
}
