export declare const ErrorCode: {
    /**位置错误 */
    UNKNOW: {
        code: string;
        msg: string;
    };
    /**接口错误 */
    SERVICE_FAULT: (msg: any) => {
        code: string;
        msg: any;
    };
    /**接口不开放 */
    INTERFACE_NOT_OPEN: {
        code: string;
        msg: string;
    };
    /**数据未找到 */
    DATA_NOT_FOUND: {
        code: string;
        msg: string;
    };
    /**数据未找到-自定义错误信息 */
    DATA_NOT_FOUND_WITH_MSG: (msg: string) => {
        code: string;
        msg: string;
    };
    /**缺少地址参数 */
    NEED_PARAMS: {
        code: string;
        msg: string;
    };
    /**缺少地址参数-自定义错误信息 */
    NEED_PARAMS_WITH_MSG: (msg: string) => {
        code: string;
        msg: string;
    };
    /**缺少查询参数 */
    NEED_QUERY: {
        code: string;
        msg: string;
    };
    /**缺少查询参数-自定义错误信息 */
    NEED_QUERY_WITH_MSG: (msg: string) => {
        code: string;
        msg: string;
    };
    /**缺少参数体参数 */
    NEED_BODY: {
        code: string;
        msg: string;
    };
    /**缺少参数体参数-自定义错误信息 */
    NEED_BODY_WITH_MSG: (msg: string) => {
        code: string;
        msg: string;
    };
    NOT_LOGIN: {
        code: string;
        msg: string;
    };
    IS_LOGOUT: {
        code: string;
        msg: string;
    };
    OTHER_PLACE_LOGIN: {
        code: string;
        msg: string;
    };
    IS_EXPIRE: {
        code: string;
        msg: string;
    };
    ROLE_IS_DISABLED: {
        code: string;
        msg: string;
    };
    USER_NOT_FOUND: {
        code: string;
        msg: string;
    };
    USER_IS_DISABLED: {
        code: string;
        msg: string;
    };
    BAD_PASSWORD: {
        code: string;
        msg: string;
    };
    /**账户已存在 */
    ACCOUNT_IS_EXISTS: {
        code: string;
        msg: string;
    };
    /**业务错误 */
    ENTITY_NOT_FOUND: {
        code: string;
        msg: string;
    };
};
