import { MidwayConfig } from '@midwayjs/core';

/**数据库ip */
const ip = '10.2.2.17';
/**新数据库 */
const v2DbName = 'water_service_v2'

const dbv2 = 'water_v2'
const dbv2Pwd = 'ccshuitou'
/**旧文件域名 */
const urlDomain = 'http://10.2.2.18:9004'
export default {
  keys: '1697684406848_4978',
  koa: {
    port: 9001,
    globalPrefix: '/warter/admin/api',
    queryParseMode: 'extended',
  },
  midwayLogger: {
    default: {
      level: 'info'
    }
  },
  busboy: {
    realdir: 'D:\\workspace\\upload',
  },
  urlDomain,
  typeorm: {
    dataSource: {
      default: {
        type: 'mysql',
        host: ip,
        port: 3306,
        database: v2DbName,
        username: dbv2,
        password: dbv2Pwd,
        entities: ['./entity'],
        synchronize: false, // 如果第一次使用，不存在表，有同步的需求可以写 true，注意会丢数据
        logging: false,
      }
    },
  },
} as MidwayConfig;
