import { BaseModel } from '../../frame/BaseModel';
import { Column, Entity } from 'typeorm';
@Entity('config', { comment: '系统设置' })
export class Config extends BaseModel {
  @Column({ type: 'varchar', nullable: true, comment: '系统名称' })
  name: string;
  @Column({ type: 'json', nullable: true, comment: 'logo' })
  logo: any;
  @Column({ type: 'varchar', default: '0', nullable: true, comment: '是否启用首页宣传图:0-启用;1-禁用' })
  use_index_img: string;
  @Column({ type: 'json', nullable: true, comment: '首页宣传图' })
  index_img: any;
}
