/**分页处理参数 */
export interface PageOptions {
    skip?: number;
    limit?: number;
    sort?: object;
    [propName: string]: any;
}
/**对查询结果处理参数 */
export interface ResultOptions {
    lean?: boolean;
    populate?: boolean;
    [propName: string]: any;
}
export declare enum LoginType {
    Admin = "Admin"
}
/**登录后token返回参数 */
export declare class LoginVO {
    constructor(data: object);
    id: number;
    nick_name: string;
    openid: string;
    role: string;
    is_super: string;
}
/**修改密码接收对象 */
export declare class UPwdDTO {
    id: number;
    password: string;
}
