import { Repository } from 'typeorm';
import { Config } from '../../entity/system/config.entity';
import { DictData } from '../../entity/system/dictData.entity';
import { DictType } from '../../entity/system/dictType.entity';
import { Menus } from '../../entity/system/menus.entity';
import { Role } from '../../entity/system/role.entity';
import { Admin } from '../../entity/system/admin.entity';
export declare class InitService {
    adminModel: Repository<Admin>;
    roleModel: Repository<Role>;
    menusModel: Repository<Menus>;
    dictTypeModel: Repository<DictType>;
    dictDataModel: Repository<DictData>;
    configModel: Repository<Config>;
    init(): Promise<void>;
    initSelfMenus(): Promise<void>;
    initConfig(): Promise<void>;
    adminUser(): Promise<import("typeorm").InsertResult>;
    initRole(): Promise<void>;
    initMenus(): Promise<void>;
    initRoleMenu(admin: Admin): Promise<void>;
    initDict(): Promise<void>;
}
