import { Context } from '@midwayjs/koa';
import { JwtService } from '@midwayjs/jwt';
import { Repository } from 'typeorm';
import { LoginRecord } from '../../entity/frame/loginRecord.entity';
export declare class LoginRecordService {
    model: Repository<LoginRecord>;
    jwtService: JwtService;
    expire_step: number;
    ctx: Context;
    timeFormat: string;
    /**创建登录记录 */
    create(token: string): Promise<void>;
    /**更新过期时间 */
    renewal(token: any): Promise<void>;
    /**检查是否过期 */
    check(token: any): Promise<boolean>;
}
